package com.ai.controller;

import com.ai.service.SimilarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/milvus")
public class MilvusController {

    @Autowired
    private SimilarService similarService;

    @RequestMapping("/create")
    public String create() {
        similarService.createCollection();
        return "milvus collection create";
    }

    @RequestMapping("/vector")
    public String vector() {
        similarService.insertProducts();
        return "vector create";
    }
}
